### Changelog

All notable changes to this project will be documented in this file. Dates are displayed in UTC.

#### [1.0.3](https://git.odit.services/lfk/scanclient/compare/1.0.2...1.0.3)

- Moved padding to div [`318408a`](https://git.odit.services/lfk/scanclient/commit/318408add82bcc71804d43f44e437bd38a553c0a)
- Added X top padding [`fc147d0`](https://git.odit.services/lfk/scanclient/commit/fc147d0f5813241a868abeeafc83ce0167a9513a)
- Enable push on release [`9181ac5`](https://git.odit.services/lfk/scanclient/commit/9181ac54434e4650099631e32a6351b9c5da0d13)

#### [1.0.2](https://git.odit.services/lfk/scanclient/compare/1.0.1...1.0.2)

> 15 April 2023

- 🚀Bumped version to 1.0.2 [`cb922e9`](https://git.odit.services/lfk/scanclient/commit/cb922e9ce9da5dd17b4ff9416053a34daf9e4edf)

#### [1.0.1](https://git.odit.services/lfk/scanclient/compare/1.0.0...1.0.1)

> 15 April 2023

- 🚀Bumped version to 1.0.1 [`36ca85e`](https://git.odit.services/lfk/scanclient/commit/36ca85ebf76ee5696875922eec633a864d323fde)
- reload on language change [`d96f32c`](https://git.odit.services/lfk/scanclient/commit/d96f32cc8499f7a4b1e6458bb68132394c41f782)

### [1.0.0](https://git.odit.services/lfk/scanclient/compare/0.2.0...1.0.0)

> 15 April 2023

- feat(Scanner): move clock to monospace font [`0768492`](https://git.odit.services/lfk/scanclient/commit/076849221a9c6353ec752d4f2213ae2e10b6480b)
- Lockfile [`5f86508`](https://git.odit.services/lfk/scanclient/commit/5f865081a64e2f59a1541a6166e85da3d7cfdbfa)
- Pinned deependencies [`0edf31a`](https://git.odit.services/lfk/scanclient/commit/0edf31a9ec228d3a027c4ef0d61d31318ded8d9e)
- deps: node@19.9.0 [`4ce0eef`](https://git.odit.services/lfk/scanclient/commit/4ce0eeffea6eee4d8af3ba130d2244669e905ed9)
- New checkmark and lower padding [`a8a0d00`](https://git.odit.services/lfk/scanclient/commit/a8a0d0018ee27588eede9bb0456d1b41060f35cd)
- 🚀Bumped version to 1.0.0 [`bd4fc7a`](https://git.odit.services/lfk/scanclient/commit/bd4fc7a2f46b2c6f84c0881242e099d64ca4d695)
- drop html-minifier [`c6700a9`](https://git.odit.services/lfk/scanclient/commit/c6700a9153f96d330f0a6636adaa616b03d232ee)
- Moved ci to pnpm w/ cache [`8610e0b`](https://git.odit.services/lfk/scanclient/commit/8610e0b285939f118fab952ca00e76b1ff659a16)
- Removed svg padding [`38a91f7`](https://git.odit.services/lfk/scanclient/commit/38a91f730b46206eac714cae69be26212c01af6f)
- drop husky precommit hook [`60d51f3`](https://git.odit.services/lfk/scanclient/commit/60d51f39bffa3e947b220a1e5644e0246cf21350)
- Switched dockerfile over to pnpm 8 and cache [`90c1413`](https://git.odit.services/lfk/scanclient/commit/90c1413fa1e6fbe41227296083636568c562da65)
- added webserver to docker build [`f78365f`](https://git.odit.services/lfk/scanclient/commit/f78365f062b1b0eae06b9af02e32573ef6e9bbc9)
- Automargin [`3f98268`](https://git.odit.services/lfk/scanclient/commit/3f982689673fb07e19beaf0765f5552834ec9922)
- No more space [`add0cb1`](https://git.odit.services/lfk/scanclient/commit/add0cb14c68580d7da6a0408fc76995f7a7e4808)
- update license exporter [`38d80b4`](https://git.odit.services/lfk/scanclient/commit/38d80b4371c4d01e717846eff831068dc18a453c)
- Added missing copy [`02b31f2`](https://git.odit.services/lfk/scanclient/commit/02b31f277f7cc0d97aad061f46540e16f55e13c6)

#### [0.2.0](https://git.odit.services/lfk/scanclient/compare/0.1.6...0.2.0)

> 14 April 2021

- Merge pull request 'add 'rst' to Login component' (#20) from feature/18-add-rst-login into dev [`#18`](https://git.odit.services/lfk/scanclient/issues/18)
- Merge pull request 'replace unsplash with kaya_bg' (#19) from feature/17-remote-background-image into dev [`#17`](https://git.odit.services/lfk/scanclient/issues/17)
- add 'rst' to Login component [`e6d8861`](https://git.odit.services/lfk/scanclient/commit/e6d8861340f6998234d8b2446b918ab01738cf63)
- 🚀Bumped version to 0.2.0 [`6df7b51`](https://git.odit.services/lfk/scanclient/commit/6df7b516aa09f937c23ab19494767867e1ebf8da)
- replace unsplash with kaya_bg [`37c384a`](https://git.odit.services/lfk/scanclient/commit/37c384aa3688a66bc31673048e718fc04bc7bf0d)

#### [0.1.6](https://git.odit.services/lfk/scanclient/compare/0.1.5...0.1.6)

> 13 April 2021

- 🚀Bumped version to 0.1.6 [`cd1b3aa`](https://git.odit.services/lfk/scanclient/commit/cd1b3aafc7587541eddd088a9d446ad50b719f56)
- Updated readme [`64f2ddf`](https://git.odit.services/lfk/scanclient/commit/64f2ddf70b5e3ace8557ff1cfd346fb52a251afd)

#### [0.1.5](https://git.odit.services/lfk/scanclient/compare/0.1.4...0.1.5)

> 13 April 2021

- 🚀Bumped version to 0.1.5 [`3fa1bc9`](https://git.odit.services/lfk/scanclient/commit/3fa1bc93eb33509555820b6d96a01fad3b1338c2)
- 🧹 drop emoji from ui bar [`18845f8`](https://git.odit.services/lfk/scanclient/commit/18845f86d12bf82ede8170e81805bf49f37f63f5)

#### [0.1.4](https://git.odit.services/lfk/scanclient/compare/0.1.3...0.1.4)

> 7 April 2021

- 🚀Bumped version to 0.1.4 [`0a23f6a`](https://git.odit.services/lfk/scanclient/commit/0a23f6a7e5d77852c035bcd0ad49260d429d687d)
- Formatting [`277269e`](https://git.odit.services/lfk/scanclient/commit/277269e299924dbc76b39d3503aa50da43888622)
- Added fix for empty input [`0cd3c6d`](https://git.odit.services/lfk/scanclient/commit/0cd3c6da1bb885eebb132b04ec3ef8e08f4ef679)

#### [0.1.3](https://git.odit.services/lfk/scanclient/compare/0.1.2...0.1.3)

> 7 April 2021

- 🚀Bumped version to 0.1.3 [`d443b29`](https://git.odit.services/lfk/scanclient/commit/d443b2904e9f51f9e182912bba1c2571d2c9abff)
- Added release title [`1092112`](https://git.odit.services/lfk/scanclient/commit/1092112f7f75e49f9a6b9c197a29cca77d73684f)

#### [0.1.2](https://git.odit.services/lfk/scanclient/compare/0.1.1...0.1.2)

> 7 April 2021

- Merge pull request 'feature/9-move-url-config-from-env-to-local-config' (#10) from feature/9-move-url-config-from-env-to-local-config into dev [`#9`](https://git.odit.services/lfk/scanclient/issues/9)
- 🚀Bumped version to 0.1.2 [`af48e92`](https://git.odit.services/lfk/scanclient/commit/af48e920bcc3f50858c488f521978e177f06b499)
- Merge pull request 'feature/13-url_validator' (#15) from feature/13-url_validator into dev [`6ade51f`](https://git.odit.services/lfk/scanclient/commit/6ade51fb73c0a67d7fc410f5f52460297a920928)
- new api_endpoint store + Config UI [`5563f1f`](https://git.odit.services/lfk/scanclient/commit/5563f1fca386dd27b4313d4ce213ec2cb2836d4a)
- Revert "0.1.2" [`96cbac2`](https://git.odit.services/lfk/scanclient/commit/96cbac27028c81aaeeabcf9359632eda9ae21ae4)
- Added release-it w/ config [`dbff163`](https://git.odit.services/lfk/scanclient/commit/dbff163b6b20d79dc089b8a2074702230ece19f5)
- added validator js [`0cea262`](https://git.odit.services/lfk/scanclient/commit/0cea262ac5d48bdf3906593871360928eed4b446)
- Now also triggering electron build [`e7458c4`](https://git.odit.services/lfk/scanclient/commit/e7458c49f0b808b55118c7d83b488054445d4136)
- Added valid/invalid svg icons [`be6974a`](https://git.odit.services/lfk/scanclient/commit/be6974af20f1f6b3304e3066b0cd4ad71532fe70)
- Updated ci token and added electron build via ci custom call [`d83a908`](https://git.odit.services/lfk/scanclient/commit/d83a908db6372dd466656ce06706acd419a18f0f)
- Added missing translations [`838127c`](https://git.odit.services/lfk/scanclient/commit/838127cf72befe448d8bf0d6c7ed3b32c5d43fc1)
- Added valid/invalid logic [`c0555c0`](https://git.odit.services/lfk/scanclient/commit/c0555c066227711aa4e50d6eb154b211e88c00bf)
- Changed test sizes to fit the page on smaller screens [`379999e`](https://git.odit.services/lfk/scanclient/commit/379999e491093cb50e16da9b7207242d7ad333f2)
- Added svg titels [`a4d749c`](https://git.odit.services/lfk/scanclient/commit/a4d749cc3f876041b2f03a7e200c7f684144d79f)
- 🧹 drop old env.js [`81b2db6`](https://git.odit.services/lfk/scanclient/commit/81b2db60ecc3d1633ca299f772feefdc03ee976d)
- Changed tag name scheme [`2f1567e`](https://git.odit.services/lfk/scanclient/commit/2f1567e802520c74ed4f0b2f8a1137ce4bb5eeff)
- formatting [`97ef6c7`](https://git.odit.services/lfk/scanclient/commit/97ef6c798eafb4949673fd65c8fa27aa6578fb39)
- Login - add trailing slash to api_endpoint url [`b80a832`](https://git.odit.services/lfk/scanclient/commit/b80a83225621d1442685c4cae02b20147e52e75b)
- Updated package version to the current version [`3c2300c`](https://git.odit.services/lfk/scanclient/commit/3c2300c09e1d9a197433100846de180898c6e6c0)
- Updated version to the current electron version [`69ab989`](https://git.odit.services/lfk/scanclient/commit/69ab9893d3e38542697ca0cf54732d87a8e0197c)
- Merge pull request 'Symbols for valid/invalid scans feature/11-valid_icons' (#12) from feature/11-valid_icons into dev [`7031680`](https://git.odit.services/lfk/scanclient/commit/703168081cbfd6c504009e250bc4ad893a246172)
- Now also showing ❌ for errors [`64398cd`](https://git.odit.services/lfk/scanclient/commit/64398cdd74209ef9540eca9b78301057ae0cc5cb)

#### [0.1.1](https://git.odit.services/lfk/scanclient/compare/0.1.0...0.1.1)

> 19 March 2021

- Merge pull request 'Husky pre-commit hooks 🐶' (#8) from dev into main [`#4`](https://git.odit.services/lfk/scanclient/issues/4) [`#5`](https://git.odit.services/lfk/scanclient/issues/5)
- Merge branch 'feature/4-license-exporter' into dev [`#4`](https://git.odit.services/lfk/scanclient/issues/4) [`#5`](https://git.odit.services/lfk/scanclient/issues/5)
- added license:export script to pre-commit hook [`7deb0d2`](https://git.odit.services/lfk/scanclient/commit/7deb0d26c466dfa77a90ab7d213949354fd2a1b1)
- re-enable CI [`cfd40d3`](https://git.odit.services/lfk/scanclient/commit/cfd40d3f1901f64213f267596a0b699ec17726c5)
- added husky formatting 🐶 [`d0facb2`](https://git.odit.services/lfk/scanclient/commit/d0facb2846c467abfa227b400a19c1e3444dcffd)
- husky 🐶 [`00b8a14`](https://git.odit.services/lfk/scanclient/commit/00b8a14bc3e529286fcbfbecda81a349bed2138a)
- CI fix [`ae0ec9d`](https://git.odit.services/lfk/scanclient/commit/ae0ec9d67cc613937471441ff8b9c516d7a51558)
- CI - mkdir out [`517cfdd`](https://git.odit.services/lfk/scanclient/commit/517cfddc5fc00e0661e5f57d687dbd5b7aa24cef)

#### [0.1.0](https://git.odit.services/lfk/scanclient/compare/0.0.8...0.1.0)

> 19 March 2021

- Merge pull request 'feature/1-basic-scan-client' (#3) from feature/1-basic-scan-client into dev [`#1`](https://git.odit.services/lfk/scanclient/issues/1)
- Merge pull request 'dev' (#6) from dev into main [`31ccf07`](https://git.odit.services/lfk/scanclient/commit/31ccf0758df51d6db655e919999127d3d7badcf5)
- initial commit 🎉 [`913b1ef`](https://git.odit.services/lfk/scanclient/commit/913b1ef047bf405d96e102a3467d0c44bd6b0701)
- formatting [`93efc32`](https://git.odit.services/lfk/scanclient/commit/93efc326ab69a4c88f939c3e15eccdb79375b362)
- precommit format [`ffcacd3`](https://git.odit.services/lfk/scanclient/commit/ffcacd32f6fed018646a0f8839b67659a3d425a1)
- 🚚 split into App, Login, Scanner [`d0112c3`](https://git.odit.services/lfk/scanclient/commit/d0112c31e0eed96ca041216ddbb9468c3926fa8a)
- basic i18n [`16d9a6d`](https://git.odit.services/lfk/scanclient/commit/16d9a6dda87c1aabe02f0d058d44b40292f9e8c6)
- scanner ui + login error states [`8a6521f`](https://git.odit.services/lfk/scanclient/commit/8a6521faa0be7395aaafbc165ae0bdd166c20c99)
- 👀 added basic settings page [`4e8a203`](https://git.odit.services/lfk/scanclient/commit/4e8a203c6db889107392667ee968f6ae304e6da4)
- 🌎 all translations [`b3f7002`](https://git.odit.services/lfk/scanclient/commit/b3f7002556fc10c94321611e0f0e7f8dd09b53f6)
- move to client code only [`81750dc`](https://git.odit.services/lfk/scanclient/commit/81750dc8e1b01feec7976e408a162054f82bc183)
- 🌎 Login Translations done [`e087a8d`](https://git.odit.services/lfk/scanclient/commit/e087a8dc30283d7bdf7c9a9d9765641e9f25c8f4)
- 🧹 cleanup [`f727437`](https://git.odit.services/lfk/scanclient/commit/f7274378b88126f8640ca76a7285fef83c69f6a0)
- demo for husky precommit formatting [`e8e462e`](https://git.odit.services/lfk/scanclient/commit/e8e462e264f4d5cff9d1c120c9a99ebb5b6cc06e)
- added lang option to config page [`7cde92e`](https://git.odit.services/lfk/scanclient/commit/7cde92e206080158df74f06d701e385ff6c56e67)
- drop CI [`116f912`](https://git.odit.services/lfk/scanclient/commit/116f9123e27f0f4f867830f45abf5c59d6fe2484)
- cleanup 🧹 [`1fd1b32`](https://git.odit.services/lfk/scanclient/commit/1fd1b32d1abedac7c03b1e70e2a7d6df980d9dd8)
- 🚧 basic client token frontend validation ui logic [`e4f5a81`](https://git.odit.services/lfk/scanclient/commit/e4f5a810a46645c920c82617006a0c515f62324a)
- 🧠 base ui logic [`ece7099`](https://git.odit.services/lfk/scanclient/commit/ece709954c9323ba28931aa6ed42fcea3466a6cb)
- scan error feedback [`1fc0490`](https://git.odit.services/lfk/scanclient/commit/1fc04905903ed998eefec60fb466919da8354a5a)
- add stationinfo persistence [`82dd786`](https://git.odit.services/lfk/scanclient/commit/82dd78621043071749caefb9371d49efea1929e1)
- testing husky precommit hook [`f40e638`](https://git.odit.services/lfk/scanclient/commit/f40e6385837d680b0cef7baba9a256c092ec3456)
- responsiveness of scanner component [`42b2390`](https://git.odit.services/lfk/scanclient/commit/42b2390bd76ddc7597f847c3c93aaef3b50940fb)
- [husky 🐶] improved hook [`936f023`](https://git.odit.services/lfk/scanclient/commit/936f0238862bc9ebb6798015bf81a1794e2da6cf)
- display station info in settings view [`f553727`](https://git.odit.services/lfk/scanclient/commit/f5537278ab3a3b22a096e4584ee11deac3a728dc)
- [husky 🐶] test [`8c465e8`](https://git.odit.services/lfk/scanclient/commit/8c465e8b7dae72e5b6436189a282a4ce7c1a5996)
- [husky 🐶] test [`eb04446`](https://git.odit.services/lfk/scanclient/commit/eb04446a43615c33955b625ed213d4696094534d)
- working scans 🎉 [`0ebabe2`](https://git.odit.services/lfk/scanclient/commit/0ebabe239c144c16faa23f6537f4b5516c81a033)
- 📷 Scanner - basic language switching [`84a2ca6`](https://git.odit.services/lfk/scanclient/commit/84a2ca60b7f389bf4da7b008fcfe83b3ccf202dd)
- locale persistance [`0aea3c1`](https://git.odit.services/lfk/scanclient/commit/0aea3c1e7ca4f83c0277245f6fa8c7772a152a80)
- Scanner - display total distance [`c930d87`](https://git.odit.services/lfk/scanclient/commit/c930d879003d27bccb5e7118ed151e3e20487172)
- drop husky 🐶 [`ff99657`](https://git.odit.services/lfk/scanclient/commit/ff99657ab3d29ff8dee3d366db673e5b84716093)
- ⌚ added live clock widget [`2267115`](https://git.odit.services/lfk/scanclient/commit/22671156a98f6553980408e368c784ea8b84a3e4)
- basic Scanner working [`559842d`](https://git.odit.services/lfk/scanclient/commit/559842d2a6e99f872e35a574bdfc64a60b9b3757)
- [husky 🐶] test [`bce4b4e`](https://git.odit.services/lfk/scanclient/commit/bce4b4e2b6c413609ca584cf3bc20f5339f2c7cf)
- 👷‍♂️ CI - move to main tags event + disable rpm build for now [`a2ec9d0`](https://git.odit.services/lfk/scanclient/commit/a2ec9d0cb3a156729bb7caf8b41c1d601755095d)
- 💾 store - added localstorage persistence [`c2f9da6`](https://git.odit.services/lfk/scanclient/commit/c2f9da6e925bf6791bcd0082947a8c696f137cb3)
- input autofocus [`0f20996`](https://git.odit.services/lfk/scanclient/commit/0f20996ac326b07759a4f8b0a69a5b6b813d94dc)
- 💾 added basic svelte store [`df3621d`](https://git.odit.services/lfk/scanclient/commit/df3621d08685bc193e543b0c6444223d2d61bf4c)

#### [0.0.8](https://git.odit.services/lfk/scanclient/compare/0.0.7...0.0.8)

> 14 March 2021

- CI - fixed rpm build [`3e533f5`](https://git.odit.services/lfk/scanclient/commit/3e533f5c6d15bdcbe5e45373d391840e2740bd9b)

#### [0.0.7](https://git.odit.services/lfk/scanclient/compare/0.0.6...0.0.7)

> 14 March 2021

- CI - rpm release building [`8f907ba`](https://git.odit.services/lfk/scanclient/commit/8f907ba597109faff6b4900bbdd9acfcbe644085)

#### [0.0.6](https://git.odit.services/lfk/scanclient/compare/0.0.5...0.0.6)

> 14 March 2021

- CI - only build @lfk-scanclient-linux-x64 [`e85a639`](https://git.odit.services/lfk/scanclient/commit/e85a639e96db3a6f9315cb32f0580e4303318d38)

#### [0.0.5](https://git.odit.services/lfk/scanclient/compare/0.0.4...0.0.5)

> 14 March 2021

- CI - testing full artifact zipping [`b1c9cc7`](https://git.odit.services/lfk/scanclient/commit/b1c9cc7652e22981106571d514a6b6d3d2616a19)

#### [0.0.4](https://git.odit.services/lfk/scanclient/compare/0.0.3...0.0.4)

> 14 March 2021

- removed "@" from dist package [`ab7ba52`](https://git.odit.services/lfk/scanclient/commit/ab7ba528ee207cc2f1ed1e82fb78692d17c980e4)

#### [0.0.3](https://git.odit.services/lfk/scanclient/compare/0.0.2...0.0.3)

> 14 March 2021

- 🚚 move to apk zip [`bfff17c`](https://git.odit.services/lfk/scanclient/commit/bfff17c465c831670511aca15b5598898fb84f21)

#### [0.0.2](https://git.odit.services/lfk/scanclient/compare/0.0.1...0.0.2)

> 14 March 2021

- CI  - 📁 create zip for release [`de92402`](https://git.odit.services/lfk/scanclient/commit/de92402a3c3bfb4c16a3d153e5ad802ad915b99d)

#### [0.0.1](https://git.odit.services/lfk/scanclient/compare/v0.0.0...0.0.1)

> 14 March 2021

#### v0.0.0

> 19 March 2021

- Merge pull request 'Husky pre-commit hooks 🐶' (#8) from dev into main [`#4`](https://git.odit.services/lfk/scanclient/issues/4) [`#5`](https://git.odit.services/lfk/scanclient/issues/5)
- Merge branch 'feature/4-license-exporter' into dev [`#4`](https://git.odit.services/lfk/scanclient/issues/4) [`#5`](https://git.odit.services/lfk/scanclient/issues/5)
- Merge pull request 'feature/1-basic-scan-client' (#3) from feature/1-basic-scan-client into dev [`#1`](https://git.odit.services/lfk/scanclient/issues/1)
- basic svelte+vite+windicss app [`e94ce97`](https://git.odit.services/lfk/scanclient/commit/e94ce9731d284be5af05fa126d60f869aebeb116)
- tmp [`560b0f4`](https://git.odit.services/lfk/scanclient/commit/560b0f4c74cb90a58d8e6b73633514d756f287fb)
- added license:export script to pre-commit hook [`7deb0d2`](https://git.odit.services/lfk/scanclient/commit/7deb0d26c466dfa77a90ab7d213949354fd2a1b1)
- drop yarn.lock [`bb25203`](https://git.odit.services/lfk/scanclient/commit/bb252031042bd321edb29fa7d34ee4a4ba73f9bc)
- initial commit 🎉 [`913b1ef`](https://git.odit.services/lfk/scanclient/commit/913b1ef047bf405d96e102a3467d0c44bd6b0701)
- formatting [`93efc32`](https://git.odit.services/lfk/scanclient/commit/93efc326ab69a4c88f939c3e15eccdb79375b362)
- Initial commit [`de211eb`](https://git.odit.services/lfk/scanclient/commit/de211eb1d3e6836110bf178690eee9a7e52c710b)
- 🧹 cleanups [`f148858`](https://git.odit.services/lfk/scanclient/commit/f14885854e1f1b06668d23fe5711fb7f9dd4e3d8)
- precommit format [`ffcacd3`](https://git.odit.services/lfk/scanclient/commit/ffcacd32f6fed018646a0f8839b67659a3d425a1)
- 🚚 split into App, Login, Scanner [`d0112c3`](https://git.odit.services/lfk/scanclient/commit/d0112c31e0eed96ca041216ddbb9468c3926fa8a)
- basic i18n [`16d9a6d`](https://git.odit.services/lfk/scanclient/commit/16d9a6dda87c1aabe02f0d058d44b40292f9e8c6)
- scanner ui + login error states [`8a6521f`](https://git.odit.services/lfk/scanclient/commit/8a6521faa0be7395aaafbc165ae0bdd166c20c99)
- demo for electron packaging [`7377b4c`](https://git.odit.services/lfk/scanclient/commit/7377b4c9d0761dbe5e97857e7b59a71f97445881)
- 👀 added basic settings page [`4e8a203`](https://git.odit.services/lfk/scanclient/commit/4e8a203c6db889107392667ee968f6ae304e6da4)
- 🌎 all translations [`b3f7002`](https://git.odit.services/lfk/scanclient/commit/b3f7002556fc10c94321611e0f0e7f8dd09b53f6)
- move to client code only [`81750dc`](https://git.odit.services/lfk/scanclient/commit/81750dc8e1b01feec7976e408a162054f82bc183)
- re-enable CI [`cfd40d3`](https://git.odit.services/lfk/scanclient/commit/cfd40d3f1901f64213f267596a0b699ec17726c5)
- 🌎 Login Translations done [`e087a8d`](https://git.odit.services/lfk/scanclient/commit/e087a8dc30283d7bdf7c9a9d9765641e9f25c8f4)
- 🧹 cleanup [`f727437`](https://git.odit.services/lfk/scanclient/commit/f7274378b88126f8640ca76a7285fef83c69f6a0)
- demo for husky precommit formatting [`e8e462e`](https://git.odit.services/lfk/scanclient/commit/e8e462e264f4d5cff9d1c120c9a99ebb5b6cc06e)
- proper scripts for electron building/webapp building [`18ca318`](https://git.odit.services/lfk/scanclient/commit/18ca318b18f9fc11b65162af6dce4230bbfb8c9f)
- added lang option to config page [`7cde92e`](https://git.odit.services/lfk/scanclient/commit/7cde92e206080158df74f06d701e385ff6c56e67)
- drop CI [`116f912`](https://git.odit.services/lfk/scanclient/commit/116f9123e27f0f4f867830f45abf5c59d6fe2484)
- cleanup 🧹 [`1fd1b32`](https://git.odit.services/lfk/scanclient/commit/1fd1b32d1abedac7c03b1e70e2a7d6df980d9dd8)
- 🚧 basic client token frontend validation ui logic [`e4f5a81`](https://git.odit.services/lfk/scanclient/commit/e4f5a810a46645c920c82617006a0c515f62324a)
- CI file [`49e9317`](https://git.odit.services/lfk/scanclient/commit/49e9317f4a540366efd31e5132c4156bfde18818)
- 🧠 base ui logic [`ece7099`](https://git.odit.services/lfk/scanclient/commit/ece709954c9323ba28931aa6ed42fcea3466a6cb)
- scan error feedback [`1fc0490`](https://git.odit.services/lfk/scanclient/commit/1fc04905903ed998eefec60fb466919da8354a5a)
- simple Dockerfile [`f9c050b`](https://git.odit.services/lfk/scanclient/commit/f9c050b9f7cf09ee94a6ebe228ec50dc039bb789)
- add stationinfo persistence [`82dd786`](https://git.odit.services/lfk/scanclient/commit/82dd78621043071749caefb9371d49efea1929e1)
- testing husky precommit hook [`f40e638`](https://git.odit.services/lfk/scanclient/commit/f40e6385837d680b0cef7baba9a256c092ec3456)
- responsiveness of scanner component [`42b2390`](https://git.odit.services/lfk/scanclient/commit/42b2390bd76ddc7597f847c3c93aaef3b50940fb)
- [husky 🐶] improved hook [`936f023`](https://git.odit.services/lfk/scanclient/commit/936f0238862bc9ebb6798015bf81a1794e2da6cf)
- display station info in settings view [`f553727`](https://git.odit.services/lfk/scanclient/commit/f5537278ab3a3b22a096e4584ee11deac3a728dc)
- [husky 🐶] test [`8c465e8`](https://git.odit.services/lfk/scanclient/commit/8c465e8b7dae72e5b6436189a282a4ce7c1a5996)
- [husky 🐶] test [`eb04446`](https://git.odit.services/lfk/scanclient/commit/eb04446a43615c33955b625ed213d4696094534d)
- working scans 🎉 [`0ebabe2`](https://git.odit.services/lfk/scanclient/commit/0ebabe239c144c16faa23f6537f4b5516c81a033)
- 📷 Scanner - basic language switching [`84a2ca6`](https://git.odit.services/lfk/scanclient/commit/84a2ca60b7f389bf4da7b008fcfe83b3ccf202dd)
- locale persistance [`0aea3c1`](https://git.odit.services/lfk/scanclient/commit/0aea3c1e7ca4f83c0277245f6fa8c7772a152a80)
- Scanner - display total distance [`c930d87`](https://git.odit.services/lfk/scanclient/commit/c930d879003d27bccb5e7118ed151e3e20487172)
- 👷‍♂️ CI - move to main tags event + disable rpm build for now [`a2ec9d0`](https://git.odit.services/lfk/scanclient/commit/a2ec9d0cb3a156729bb7caf8b41c1d601755095d)
- added basic dev script + more readme [`d728ae3`](https://git.odit.services/lfk/scanclient/commit/d728ae37e68ea87cd9757d6fce8194aaf128bf93)
- drop husky 🐶 [`ff99657`](https://git.odit.services/lfk/scanclient/commit/ff99657ab3d29ff8dee3d366db673e5b84716093)
- added husky formatting 🐶 [`d0facb2`](https://git.odit.services/lfk/scanclient/commit/d0facb2846c467abfa227b400a19c1e3444dcffd)
- husky 🐶 [`00b8a14`](https://git.odit.services/lfk/scanclient/commit/00b8a14bc3e529286fcbfbecda81a349bed2138a)
- Merge pull request 'dev' (#6) from dev into main [`31ccf07`](https://git.odit.services/lfk/scanclient/commit/31ccf0758df51d6db655e919999127d3d7badcf5)
- basic Scanner working [`559842d`](https://git.odit.services/lfk/scanclient/commit/559842d2a6e99f872e35a574bdfc64a60b9b3757)
- [husky 🐶] test [`bce4b4e`](https://git.odit.services/lfk/scanclient/commit/bce4b4e2b6c413609ca584cf3bc20f5339f2c7cf)
- removed "@" from dist package [`ab7ba52`](https://git.odit.services/lfk/scanclient/commit/ab7ba528ee207cc2f1ed1e82fb78692d17c980e4)
- ⌚ added live clock widget [`2267115`](https://git.odit.services/lfk/scanclient/commit/22671156a98f6553980408e368c784ea8b84a3e4)
- 💾 store - added localstorage persistence [`c2f9da6`](https://git.odit.services/lfk/scanclient/commit/c2f9da6e925bf6791bcd0082947a8c696f137cb3)
- CI - only build @lfk-scanclient-linux-x64 [`e85a639`](https://git.odit.services/lfk/scanclient/commit/e85a639e96db3a6f9315cb32f0580e4303318d38)
- CI  - 📁 create zip for release [`de92402`](https://git.odit.services/lfk/scanclient/commit/de92402a3c3bfb4c16a3d153e5ad802ad915b99d)
- CI - also trigger on tag events [`f4037c7`](https://git.odit.services/lfk/scanclient/commit/f4037c78ca83b258056bfcce25595514756aa476)
- CI - added secret from path [`08922d3`](https://git.odit.services/lfk/scanclient/commit/08922d3363c716832c6d6a656caa4725ef7cd518)
- input autofocus [`0f20996`](https://git.odit.services/lfk/scanclient/commit/0f20996ac326b07759a4f8b0a69a5b6b813d94dc)
- 💾 added basic svelte store [`df3621d`](https://git.odit.services/lfk/scanclient/commit/df3621d08685bc193e543b0c6444223d2d61bf4c)
- CI - testing full artifact zipping [`b1c9cc7`](https://git.odit.services/lfk/scanclient/commit/b1c9cc7652e22981106571d514a6b6d3d2616a19)
- CI - rpm release building [`8f907ba`](https://git.odit.services/lfk/scanclient/commit/8f907ba597109faff6b4900bbdd9acfcbe644085)
- CI - fixed rpm build [`3e533f5`](https://git.odit.services/lfk/scanclient/commit/3e533f5c6d15bdcbe5e45373d391840e2740bd9b)
- 🚚 move to apk zip [`bfff17c`](https://git.odit.services/lfk/scanclient/commit/bfff17c465c831670511aca15b5598898fb84f21)
- CI Test [`b42ff9e`](https://git.odit.services/lfk/scanclient/commit/b42ff9ec3cdf4e7986fe4b5766ffe75a86ea9827)
- 🐳 added git as a electron dependency [`0189a16`](https://git.odit.services/lfk/scanclient/commit/0189a16df089dbcb0ca9f2d5a3a026fbc871fed5)
