import { writable } from 'svelte/store';

const stored_api_endpoint = localStorage.getItem('api_endpoint')||"";
export const api_endpoint = writable(stored_api_endpoint);
api_endpoint.subscribe((value) => {
	localStorage.setItem('api_endpoint', value);
});
const stored_apikey = localStorage.getItem('apikey');
export const apikey = writable(stored_apikey);
apikey.subscribe((value) => {
	localStorage.setItem('apikey', value);
});
const stored_stationinfo = localStorage.getItem('stationinfo');
export const stationinfo = writable(stored_stationinfo);
stationinfo.subscribe((value) => {
	localStorage.setItem('stationinfo', value);
});
const stored_page = localStorage.getItem('page');
export const page = writable(stored_page);
page.subscribe((value) => {
	localStorage.setItem('page', value);
});
const stored_lang = localStorage.getItem('lang') === 'null' ? navigator.language : localStorage.getItem('lang');
export const lang = writable(stored_lang);
lang.subscribe((value) => {
	localStorage.setItem('lang', value);
});
